#ifndef MUIPREVIEW_H
#define MUIPREVIEW_H
/* -------------------------------------------------------------------------- *\
   MUIPREVIEW.H
   Copyright  1997 by Jarno van der Linden
   jarno@kcbbs.gen.nz

   Preview MUI class, header file

   This program is Freeware, and all usual Freeware rules apply.

   09 Aug 1997: Project started
\* -------------------------------------------------------------------------- */

/* -------------------------------- Includes -------------------------------- */

/* ------------------------------ Definitions ------------------------------- */
#define MUISERIALNR_ME 1
#define TAGBASE_ME (TAG_USER | (MUISERIALNR_ME << 16))

#define MUIM_Preview_Update (TAGBASE_ME | 0x0001)

#define MUIA_Preview_Mode        (TAGBASE_ME | 0x0100)
#define MUIA_Preview_Mode_Add    (TAGBASE_ME | 0x0101)
#define MUIA_Preview_Mode_Remove (TAGBASE_ME | 0x0102)
#define MUIA_Preview_Mode_Toggle (TAGBASE_ME | 0x0103)
#define MUIA_Preview_Camera      (TAGBASE_ME | 0x0104)
#define MUIA_Preview_Environ     (TAGBASE_ME | 0x0105)
#define MUIA_Preview_Level       (TAGBASE_ME | 0x0106)

#define PREVIEW_STATIC		(0)
#define PREVIEW_MOVEX		(1L<<0)
#define PREVIEW_MOVEY		(1L<<1)
#define PREVIEW_MOVEZ		(1L<<2)
#define PREVIEW_MOVEEYE		(1L<<3)
#define PREVIEW_MOVEFOCUS	(1L<<4)

/* --------------------------------- Macros --------------------------------- */
#define MUIPreview(e,c) NewObject(previewClass->mcc_Class,NULL,MUIA_Preview_Environ,e,MUIA_Preview_Camera,c

/* -------------------------------- Typedefs -------------------------------- */

/* ------------------------------ Proto Types ------------------------------- */
struct MUI_CustomClass *InitPreviewClass(void);
void DeletePreviewClass(void);

/* -------------------------------- Structs --------------------------------- */

/* -------------------------------- Globals --------------------------------- */
extern struct MUI_CustomClass *previewClass;

/* ---------------------------------- Code ---------------------------------- */

#endif /* MUIPREVIEW_H */
